/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.RadiationExposure;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface RadiationExposureMetaData
    extends SpecialFactorMetaData
{
    public RadiationExposure getEntity();

    public void setEntity(RadiationExposure entity);
 
    /**
     * Currently not transmitted and not used
     * @return
     */
    public String getExposureDate();

    public String getExposureMethod();

    public String getIndicator();
}